> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Field

> Requires `customFields: true` in the credential's `entitiesToSync` selection and a connector that supports this operation. [Choose what data to sync](https://rollout.com/docs/advanced-guides/controlling-which-records-sync-with-rollout), or [fix an entity that is not configured to sync](https://rollout.com/docs/troubleshooting/entity-not-configured-to-sync).



## OpenAPI

````yaml /openapi/mortgage-crm.json get /customFields/{id}
openapi: 3.1.2
info:
  title: Universal Mortgage CRM API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://mortgage-crm.universal.rollout.com/api
security: []
paths:
  /customFields/{id}:
    get:
      tags:
        - Custom Fields
      summary: Get Custom Field
      description: >-
        Requires `customFields: true` in the credential's `entitiesToSync`
        selection and a connector that supports this operation. [Choose what
        data to
        sync](https://rollout.com/docs/advanced-guides/controlling-which-records-sync-with-rollout),
        or [fix an entity that is not configured to
        sync](https://rollout.com/docs/troubleshooting/entity-not-configured-to-sync).
      operationId: getCustomFieldsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      type:
                        type: string
                        const: text
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        type:
                          - string
                          - 'null'
                      key:
                        description: >-
                          The upstream's own identifier for the field, exactly
                          as the upstream spells it, and the key its values have
                          in a person's `customFields` object. null when the
                          connector's people still carry custom fields as
                          `custom<Name>` properties.
                        type:
                          - string
                          - 'null'
                      originalIds:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type:
                            - number
                            - string
                      original:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - key
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        const: date
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        type:
                          - string
                          - 'null'
                      key:
                        description: >-
                          The upstream's own identifier for the field, exactly
                          as the upstream spells it, and the key its values have
                          in a person's `customFields` object. null when the
                          connector's people still carry custom fields as
                          `custom<Name>` properties.
                        type:
                          - string
                          - 'null'
                      isRecurring:
                        type: boolean
                      originalIds:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type:
                            - number
                            - string
                      original:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - key
                      - isRecurring
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        const: number
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        type:
                          - string
                          - 'null'
                      key:
                        description: >-
                          The upstream's own identifier for the field, exactly
                          as the upstream spells it, and the key its values have
                          in a person's `customFields` object. null when the
                          connector's people still carry custom fields as
                          `custom<Name>` properties.
                        type:
                          - string
                          - 'null'
                      originalIds:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type:
                            - number
                            - string
                      original:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - key
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        const: boolean
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        type:
                          - string
                          - 'null'
                      key:
                        description: >-
                          The upstream's own identifier for the field, exactly
                          as the upstream spells it, and the key its values have
                          in a person's `customFields` object. null when the
                          connector's people still carry custom fields as
                          `custom<Name>` properties.
                        type:
                          - string
                          - 'null'
                      originalIds:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type:
                            - number
                            - string
                      original:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - key
                      - originalIds
                      - original
                  - type: object
                    properties:
                      type:
                        type: string
                        const: dropdown
                      id:
                        type: string
                      label:
                        type: string
                      name:
                        type:
                          - string
                          - 'null'
                      key:
                        description: >-
                          The upstream's own identifier for the field, exactly
                          as the upstream spells it, and the key its values have
                          in a person's `customFields` object. null when the
                          connector's people still carry custom fields as
                          `custom<Name>` properties.
                        type:
                          - string
                          - 'null'
                      choices:
                        type: array
                        items:
                          type: string
                      originalIds:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type:
                            - number
                            - string
                      original:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                    required:
                      - type
                      - id
                      - label
                      - name
                      - key
                      - choices
                      - originalIds
                      - original
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    const: RESOURCE_NOT_FOUND
                  errorMessage:
                    type: string
                required:
                  - code
                  - errorMessage
      security:
        - jwt: []
          credential_id: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      description: Consumer JWT minted by the tenant's backend
    credential_id:
      type: apiKey
      in: header
      name: X-Rollout-Credential-Id
      description: The Rollout Credential ID to use for queries/mutations

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.